#pragma once

#ifndef TimeStampH
#define TimeStampH

static class TimeStamp
{
	vector<float> runtime;
	vector<bool> running;
	vector<float> time;

public:
	TimeStamp(void);
	~TimeStamp(void);

	void start( unsigned int stamp );
	float stop( unsigned int stamp );
	void DumpTimeStamps( char *fn );
} TS;

#endif
